/******************************************************************************
*
*       Port of Philips LPC901 Motor Control Program to PIC18F452 from
*		AN10496_1.pdf
*
*******************************************************************************
A low cost P89LPC901 based vacuum cleaner system is introduced in this
application note. Design hardware and software are fully discussed. This system
can also guide the design of other universal motor driving systems that needs
robust controlling and harmonic suppression.

%%%%%%%%%%%%%%%%%%%%%%%%%	WARNING	WARNING	WARNING %%%%%%%%%%%%%%%%%%%%%%%%%%

The test hardware is not galvanically isolated from the AC mains.
Use all precautions or isolation techniques to prevent injury or
catastrophic events.

Contact with 120/230V Line Voltage can kill and/or cause injury

This project should only be undertaken if you understand all safety related
facts.


*******************************************************************************
*
*  General Information
*
*     Description:
*       Firmware for the        Prototype
*
*       Project:                General
*       Project Number:         /
*       File Name:              /
*       Release Version:        n/a
*       Primary Author:         GJO
*       Start Date:             new
*       Release Date:           not specified yet
*       Target Processor:       Microchip 18F452 or 18F4520/4620
*       Compiler:               CCS-PCM, V3.236 or later
*
*     Formal Documentation:
*
*         Command Reference:
*
*******************************************************************************
*
*  Revision List:
*
*       Ver     Date        Who     Description
*       -----------------------------------------------------------------------
*       1.00    07.03.10    GJO     Begin LPC901 conversion program
*               09.07.05    GJO     Added Documentation
*
*
*
*******************************************************************************
*     Environment information
*
*       Development Platform ....... MPLAB
*       Device Programmer .......... PICSTART+ (Microchip product)
*       Communications.............. COM PORT for PICSTART+
*       Editor ..................... Any, used TEXTPAD and MPLAB
*       OS: ........................ Windows 2000
*       Compiler used:.............. CCS PCH C Compiler, Version 3.236 or higher
*       Compile options: ........... +FH +PE +T +EA
*       Libraries used ............
*       Target Processor ........... PIC 18F452
*       Serial Communications: ..... 9600 BAUD, N, 8, 1 (RS-232 and RS-485)
*
******************************************************************************/

#include "mc_ctl.h"
#include "mc_conf.h"
#include "mc_phase.c"

//*****************************************************************************
// main():
// Description:
//*****************************************************************************

void main(void)
{
    init();

    printf("\r\nInitializing TRIAC HARMONIC REDUCING CODE, V1.00\r\n");

 	enable_interrupts(GLOBAL);

    //startupdelay(10,2);                //wait for startup stable

	printf("\r\nCurrent Speed Value = %u\r\n", key_value);


    setup_wdt(WDT_ON);

    for(;;)
    {
        output_high(PIN_C4);
		restart_wdt();
		PHASE = get_speed();
        output_low(PIN_C4);
    }

}
